Bug 46447 - Embedded pictures/images disappear from Presentation (ODP) [Summary: comment#58, comment#67. Temporary advise: comment#69. Confirmed without autosave: comment#109]
Summary: Embedded pictures/images disappear from Presentation (ODP) [Summary: comment#...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: x86-64 (AMD64) All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: SummaryUpdate
Keywords:
: 50051 74572 81022 81026 81473 81602 82442 82767 83715 83732 83945 84546 85329 86649 (view as bug list)
Depends on: Image-Caching
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2012-02-22 05:44 UTC by zeitlinie
Modified: 2018-11-14 06:27 UTC (History)
58 users (show)

See Also:
Crash report or crash signature:


Attachments
Original presentation and presentation with disappeared image and corrupted ODP file (73.73 KB, application/x-gzip)
2012-02-22 05:51 UTC, zeitlinie
Details
Validation Results (18.47 KB, application/vnd.oasis.opendocument.text)
2013-01-26 11:43 UTC, Rainer Bielefeld Retired
Details
Sample document in valid ODF 1.2 (76.37 KB, application/vnd.oasis.opendocument.presentation)
2013-01-26 11:43 UTC, Rainer Bielefeld Retired
Details
test_file_missing_picture (9.50 KB, application/msword)
2013-05-30 05:23 UTC, Piotr
Details
testcase_opendoc_format (10.20 KB, application/vnd.oasis.opendocument.text)
2013-05-30 08:41 UTC, Piotr
Details
XDOC test case -- before bug (1.96 MB, application/vnd.oasis.opendocument.presentation)
2013-08-30 21:37 UTC, Jared Davis
Details
XDOC test case -- after bug (1.93 MB, application/vnd.oasis.opendocument.presentation)
2013-08-30 21:38 UTC, Jared Davis
Details
zip with extension & explanation for loading lots if images (74.00 KB, application/x-zip)
2014-09-11 09:57 UTC, Cor Nouws
Details
Test case for images disappearing (16.60 KB, application/vnd.oasis.opendocument.presentation)
2014-10-03 16:07 UTC, Jer
Details
Testcase 2; with changes made from Comment 136 (2.23 MB, application/vnd.oasis.opendocument.presentation)
2014-10-04 05:22 UTC, Jer
Details
zip with oxt and odt with explanation (140.55 KB, application/x-zip)
2014-10-06 13:05 UTC, Cor Nouws
Details
zip with oxt embedding pictures in Impress too (144.64 KB, application/x-zip)
2014-10-07 08:35 UTC, Cor Nouws
Details
Prueba .odp saved and if is open do not shows images (911.21 KB, application/vnd.oasis.opendocument.presentation)
2014-11-22 00:02 UTC, Ismael Cedillo
Details
Only some slides are affected; leaving only a placeholder (87.28 KB, image/png)
2014-11-22 15:46 UTC, narayanaras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zeitlinie 2012-02-22 05:44:27 UTC
Since several versions, and also in previously used openoffice versions, and at least for all 3.x versions I had, the presentation module Impress shows the following bug which completely ruins any given presentation. This bug occurs on a regular basis - usually once every presentation I generate:

For no specific reason, suddenly, images which have been embedded (not linked) into a presentation 'disappeare' with only a 'missing-link' placeholder displayed instead of the image in the editing mode of Impress.

Once this behavior occurs, the presentation is irreversibly damaged and is in a state of unpredictable behavior.
In particular, the obvious first choice for a fix, namely to simply delete the missing links and re-embed the images regularly leads to chaotic and additional disappearance of more images in the presentation.

A minimalistic example of such a presentation, showing only one missing image is attached.

The unpacked ODP files of such presentations always display the same pattern regarding this issue:

In the unpacked file noLinkErr.odp without the bug
and in the directory 'Pictures' one finds the relevant image "10000000000001F4000001F0BC3B6675.gif" in the present case,
while in the XML file content.xml one finds a markup which links to that image
<draw:image xlink:href="Pictures/10000000000001F4000001F0BC3B6675.gif" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad">

In the unpacked file LinkErr.odp with the bug
the relevant image is missing in the directory 'Pictures'
and in the XML File content.xml the markup which should link to the image reads only
<draw:image xlink:href="">

For me the only way to 'avoid' this error is to keep a long list of incrementally saved backup versions of any presentation I generate - which is very awkward.

wbwb
Comment 1 zeitlinie 2012-02-22 05:51:45 UTC
Created attachment 57459 [details]
Original presentation and presentation with disappeared image and corrupted ODP file
Comment 2 Michael Meeks 2012-03-13 10:25:56 UTC
I believe Thorsten did some work on things like this in 3.5.x can you confirm the problem continues there ? [ and sorry for the horrors here ! ]
Comment 3 wanchai 2012-03-14 15:58:57 UTC
Observed the exact same problem in 3.5.0rc3.
Comment 4 Alex Thurgood 2012-03-26 08:56:17 UTC
(In reply to comment #2)
> I believe Thorsten did some work on things like this in 3.5.x can you confirm
> the problem continues there ? [ and sorry for the horrors here ! ]

Hi Michael,

At a guess, I'd say the problem isn't entirely solved :

https://bugs.freedesktop.org/show_bug.cgi?id=47832

and I'm still losing images from my own Writer business template documents in 3.5.1.2 and Norbert's daily build from 23/03/2012 (#fdo 33393).

Alex
Comment 5 Peter Würtz 2012-12-07 00:03:41 UTC
This bug is pretty annoying. I'm currently preparing a presentation and I keep losing and replacing images at least 5 times per day :(. I'm using the LibreOffice version 3.6.2.2 from Ubuntu 12.10. Is there some kind of workaround or fix that reduces the impact of that problem?

Also, I think that users should be warned when including images. I've got the habit of deleting figures after embedding, since I expect them to be stored in a document safely. Not being warned about Libre/Openoffice's bad memory can destroy hours of work.
Comment 6 zeitlinie 2012-12-20 16:00:23 UTC
@Peter Würtz

Welcome to the club.

Impress simply is not (and never has been) a top priority on (Ooo)Libreoffice developers' list if it comes to bugs. That is very Very VERY sad, and I think it is a BIG mistake.
This way Libreoffice will always remain a niche-product for all of those parts of academia and business where professional presentations influence not only careers but many other things on an every-day basis.

Yet, that's how open source development works, namely by how many people 'make noise' to ask for resolution of what bugs.
Sad enough there are simply zillions of more users out there who need Libreoffice just as an MSWord/MSExcel replacement rather than as a Powerpoint or KeyNote or MathEditor replacement. So there is just much too little traffic on all those nasty bugs in Impress, and hence too little 'persuasion' for the developers ... even if the bugs are as *absolutely* *devastating* as this bug here.

Just for the record: another very 'nice' example of this situation has been Bug 48179 (still Ooo). Check it out. That one was just unbelievable - but, counted together with its duplicates - it has taken more than *7* years to get at least a 'workaround' embedded into Ooo's code base.

To summarize, I fear this bug will still be around for a long time ... unless you find some >200 people constantly knocking the door.
Comment 7 zeitlinie 2012-12-20 16:04:18 UTC
Just to get it wright by the previously mentioned 'Bug 48179' we mean

https://issues.apache.org/ooo/show_bug.cgi?id=48179

and not the link which the previous comment produces automatically ;)
Comment 8 Rainer Bielefeld Retired 2013-01-26 10:35:33 UTC
(In reply to comment #7)
No Idea what you want to tell with this comment and that link
Comment 9 Rainer Bielefeld Retired 2013-01-26 11:41:09 UTC
I see this one more critical than major, nobody can risk to use LibO Impress if he has to be afraid that he will stand in front of audience with a damaged audience. I will nominate this one as HardHack on <https://wiki.documentfoundation.org/HardHacks>

Modified OS due to ALL because reproduced with WIN (see <http://listarchives.libreoffice.org/de/users/msg07934.html>!)
Comment 10 Rainer Bielefeld Retired 2013-01-26 11:43:03 UTC
Created attachment 73678 [details]
Validation Results

For reporter's original Sample document
Comment 11 Rainer Bielefeld Retired 2013-01-26 11:43:45 UTC
Created attachment 73679 [details]
Sample document in valid ODF 1.2

for further tests
Comment 12 haeuslein0815 2013-01-30 01:49:39 UTC
Still happens in 3.6.4.3 ...
Comment 13 Jorendc 2013-02-06 21:22:17 UTC
I see this bug is already reproduced multiple times. Therefore I mark this as NEW. Rainer already set the priority, so nothing to change there.

Kind regards,
Joren
Comment 14 Jeremy M 2013-02-18 22:51:54 UTC
Present in 4.0 as well, Windows and Linux.
Comment 15 grejigl-razno 2013-02-20 19:55:09 UTC
I have the same problem. 

Problem can not be replicated all the time, but when it happens images from Picture folder (in odp archive) disappear, and content.xml shows only "" for href (empty string). Sometimes even OLE objects would disappear and folder Object 1/2/3... will be removed.
Comment 16 Marcus Hudritsch 2013-03-23 19:59:02 UTC
This bug still occurs in version 4.0.1.2 on Mac OSX and is VERY, VERY annoying.
I once a week stand in front of my students displaying slides where some images got lost. This is very embarrassing.
Comment 17 rudolphi 2013-03-25 16:51:37 UTC
This bug drives me crazy, and it will stop me from using Libreoffice very soon.
Comment 18 rudolphi 2013-03-25 17:02:35 UTC
It seems that increasing the memory for images in the options dialog (say from 30 MB to 200 MB) reduces the problem. Nevertheless, the current situation is hardly acceptable.
Comment 19 Rainer Bielefeld Retired 2013-03-25 17:49:03 UTC
Any chance to get an at least passably reliable test kit?
Comment 20 Thorsten Behrens (CIB) 2013-03-25 20:21:57 UTC
(In reply to comment #19)
> Any chance to get an at least passably reliable test kit?
>
Seconded - it might easily save me days. Ideally a "do this, do that, and with image cache set to 1k, it happens every time".
Comment 21 Kumāra 2013-03-28 11:09:20 UTC
Try this to see if it helps:
1. Copy the slides.
2. Paste them on a new empty ODP.

As far as I know corruptions tend to happen when we work on old ODPs (probably created by an earlier version of OO or LO) as a template. The above method solve my teachers problem of currupted ODP. Side effect, the new ODP became much smaller (about 10% of the original). Obviously there was a lot of rubbish in the old one.
Comment 22 Rainer Bielefeld Retired 2013-04-02 20:36:04 UTC
Tedo Vrbanec, please consider:
<http://wiki.documentfoundation.org/BugReport_Details#Version>
If you also did this mistake in other Bugs please undo your Version changes there!
And do not do such changes without any comment!
Comment 23 Kumāra 2013-04-03 03:16:18 UTC
(In reply to comment #22)
> Tedo Vrbanec, please consider:
> <http://wiki.documentfoundation.org/BugReport_Details#Version>
> If you also did this mistake in other Bugs please undo your Version changes
> there!
> And do not do such changes without any comment!

I believe he was just trying to say that the bug still exist on 4.0.2.1 rc. I used to think that's how it should be too.

Tedo, to do this, better to add a comment like "Still present in 4.0.2.1 rc."

Cheers!
Comment 24 Tedo Vrbanec 2013-04-03 04:39:42 UTC
Yes, my mistake. I apologize.
Still present in 4.0.2.1 rc.
Comment 25 Kurt Yoder 2013-04-08 15:49:26 UTC
This has also happened to me, multiple times:

- OS X, 10.7.5
- Version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)
TinderBox: MacOSX TDF Release, Branch:libreoffice-4-0, Time: 2013-02-27_17:15:43
Comment 26 Owen Genat (retired) 2013-04-16 02:32:39 UTC
I can't replicate this bug using the noErr attachments from comment #1 and comment #11. Tested by opening numerous times and re-saving and re-opening using v3.5.7.2 under Ubuntu 10.04 x86_64 and v4.0.2.2 under Ubuntu 10.04 x86_64 and Win7HP. The graphic always displays.
Comment 27 Marcus Hudritsch 2013-05-18 08:00:57 UTC
This bug is absolutely a show stopper.
I stand several times in a week in front of my students with slides where images disappeared. I then have to open my script where the images do not disappear.
This is really embarrassing. How can I convince the students like this from using an open source product?
I can not understand why such a bug is not critical. 
Loosing data is even worse than a blocker.
It is sure a memory management bug. But with 16 GB I have enough!!
I pay the guy that fixes this bug 100 USD!
I can send you an example ODP where you can reproduce the bug in 5 minutes.
Comment 28 Kumāra 2013-05-18 09:36:46 UTC
(In reply to comment #26)
> I can't replicate this bug using the noErr attachments from comment #1 and
> comment #11. Tested by opening numerous times and re-saving and re-opening
> using v3.5.7.2 under Ubuntu 10.04 x86_64 and v4.0.2.2 under Ubuntu 10.04
> x86_64 and Win7HP. The graphic always displays.

I tried it too with LO 3.6.6 on Win7 and was unable to replicate it as well.

I opened noLinkErr.odp, save as another file. Closed LO. Reopen the file. Image is there.
I created a new page, copied and pasted the image there. Save. Exit. Reopen, and both images are there.
I duplicated both slides. So, now 4 slides with the image. Repeat as above. All images in 4 slides appears.
I also resized and moved one image. Same.

I've been using Impress quite heavily recently, and have not encountered such a situation before.

I also played around with LinkErr.odp. It's as decribed, but I've no trouble adding the same image into it and still have it after reopening it.

Sorry. No bug in sight.
Comment 29 Tedo Vrbanec 2013-05-18 12:29:27 UTC
Finally, after many months of waiting, LO4.0.2 and LO4.3 no longer loses images from the presentation (Debian Wheezy).
Comment 30 Jorendc 2013-05-18 12:41:11 UTC
(In reply to comment #27)
> This bug is absolutely a show stopper.
> I stand several times in a week in front of my students with slides where
> images disappeared. I then have to open my script where the images do not
> disappear.

@Marcus: can you still reproduce this using LibreOffice 4.0.3.3? Following Comment 28 and Comment 29 it isn't reproducible anymore?

Kind regards,
Joren
Comment 31 Kumāra 2013-05-19 00:24:18 UTC
(In reply to comment #29)
> Finally, after many months of waiting, LO4.0.2 and LO4.3 no longer loses
> images from the presentation (Debian Wheezy).

So, case closed?
Comment 32 Marcus Hudritsch 2013-05-25 08:11:13 UTC
(In reply to comment #31)
> (In reply to comment #29)
> > Finally, after many months of waiting, LO4.0.2 and LO4.3 no longer loses
> > images from the presentation (Debian Wheezy).
> 
> So, case closed?

It looks like the problem is gone. Thanks a lot!
Comment 33 Jorendc 2013-05-25 08:34:39 UTC
Thanks for the feedback!

Lets mark it as RESOLVED FIXED then, although we don't know which commit fixed this issue we can be sure something fixed this behavior (thanks to the many confirmations).

Kind regards,
Joren

PS: there are more NEW and UNCONFIRMED bugs out to (re)test. Feel free to help!
Comment 34 Bringfried Stecklum 2013-05-26 16:01:33 UTC
This is by no means fixed. I had to give a talk today, and everything was fine when I double-checked half an hour before. So I saved the presentation (LO 4.0.3.1), shut down the laptop, and went to the lecture room. When I started the presentation much to my (unpleasant) surprise, two animated images on the second slide appeared empty with the infamous symbol in the upper left corner. This continued throughout the talk, and (if I am not mistaken) not only for images which were inserted by copy-and-paste. I consider this a showstopper.
Comment 35 Jeremy M 2013-05-26 16:16:13 UTC
Windows 4.0.3.3 appears to be okay with some light testing using a new document with various images (saving, closing, re-opening, repeat) as well as old ones that had problems in the past. Will check Linux shortly. 

I don't think this should be closed as quickly as it was, as a Professor I gave up on using Impress long ago as it was not stable enough for normal use. Many people are probably in the same boat as I am and have resorted to other alternatives, so the pool of people actively testing this now will be smaller.
Comment 36 Kumāra 2013-05-27 04:19:46 UTC
(In reply to comment #34)
> This is by no means fixed. I had to give a talk today, and everything was
> fine when I double-checked half an hour before. So I saved the presentation
> (LO 4.0.3.1), shut down the laptop, and went to the lecture room. When I
> started the presentation much to my (unpleasant) surprise, two animated
> images on the second slide appeared empty with the infamous symbol in the
> upper left corner. This continued throughout the talk, and (if I am not
> mistaken) not only for images which were inserted by copy-and-paste. I
> consider this a showstopper.

Thank you for providing the details of how it happened.

Some questions for you:
Were to 2 animated images linked or embedded?
Can you replicate the problem?
Can you provide the file (or part of it, in which the problem can be replicated) for others to test?
Comment 37 Piotr 2013-05-28 21:40:32 UTC
LO 4.0.3.3. The bug still exists in writer!!!!!!!! I replace the pictures every time I close and open document. A few days ago something happened and pictures were in the document for good, but I had to chenge the pictures and the problem is here again!!! I change status, becaus it drives me crazy.
Comment 38 Piotr 2013-05-28 21:43:11 UTC
Ah.. to reproduce just prepare any drawing in Draw and place it in the document in writer. For 100% sure it will disapear add title for teh drawing.
Comment 39 Vossman 2013-05-29 01:57:08 UTC
Hi @Piotr and @Bringfried Stecklum, one user reported that the bug only exists in files created with older versions of LibreOffice (some sort of old file structure that is not overwritten). If you open a new document and import your old files does it still have a problem.

I have been giving lectures with LibreOffice for a couple of years, and this last semester I had no problems. Every time I reuse an old lecture, I open a template that I use and import the old slides in to avoid the above problem. Any way I am curious if it works.
Comment 40 Kumāra 2013-05-29 03:33:55 UTC
(In reply to comment #38)
> Ah.. to reproduce just prepare any drawing in Draw and place it in the
> document in writer. For 100% sure it will disapear add title for teh drawing.

I can appreciate your frustrations, Piotr. Same for others experiencing this. I'd be frustrated too if I were you. I thought this bug report is for Impress, not Writer. Yet, perhaps both issues may be based on the same root cause. Besides, similar issues has been reported for Calc (https://bugs.freedesktop.org/show_bug.cgi?id=47832#c11). So, this appears to be a FILESAVE issue, specifically in graphic handling.

Anyway, I've just done this: create a square with Draw, copy and paste it in Writer, and Impress. Reopen both files and find them still there.

I'm using 3.6.6 (having experienced some issues with LO4). Perhaps affected ones can consider using this version instead. I plan to return to version 4 only when 4.0.4 release is ready.

Perhaps in same cases the matter is as suggest by Vossman (Comment 39), that it's an issue of backward compatibility. His method may solve the matter for some of you.

Btw, Piotr, UNCONFIRMED means that "Nobody has confirmed that this bug is valid." It seems pretty confirmed for you. See https://bugs.freedesktop.org/page.cgi?id=fields.html#status
Comment 41 Piotr 2013-05-30 05:23:24 UTC
Created attachment 80012 [details]
test_file_missing_picture

I enclose the file with missing picture. I think it is related to picture title. Without title I was able to keep picture inside the document.

Reproduction:
1) Paste special picture from draw as "Picture Format"
2) save writer file
3) open file again (the picture is still visible)
4) add title to the picture
5) save and close the writer document
6) open the writer document - picture is missing. Only empty box with title is shown
Comment 42 Piotr 2013-05-30 05:25:29 UTC
change status -> NEW

I created the documents from the scratch and the problem still exists. As I open the document with MS Word viewer the pictures are also missing.
Comment 43 Kumāra 2013-05-30 07:45:47 UTC
(In reply to comment #41)
> 1) Paste special picture from draw as "Picture Format"

Perhaps you mean "Drawing format". I don't see "Picture Format".

> 4) add title to the picture

I think you mean "Caption".

I can appreciate the confusion we have here because we're using different language versions. (FYI, there is something else called Title, which I get to by right-click > Description.)

> 6) open the writer document - picture is missing. Only empty box with title
> is shown

I tried this on the file you provided with LO3.6.6. I can reproduce and confirm what you reported. HOWEVER, you could have mentioned that you were using DOC! I suggest that you look at Bug 52226, which speaks of the same for DOCX.

To everyone else who's making any further reports on this issue, please indicate specific LO version and file type.

To all who have reported this for IMPRESS, does anyone of you still have the problem with the latest IMPRESS, or at least 3.6.6? If, yes, please remember to indicate file type.

If not, I suggest that we close this.
Comment 44 Piotr 2013-05-30 08:41:27 UTC
Created attachment 80019 [details]
testcase_opendoc_format

same test case happens when saving i odg format.
Here is example.
LO 4.0.4
Comment 45 Piotr 2013-05-30 08:44:12 UTC
Kumara - You are right about language issues. I simply use polish version and translated the names.

However, I do not agree that it is an issue with docx format:
1) It is specific to the XML format which does not concern doc
2) I enclosed attachement showing that the same happens when You save to odg format.
Comment 46 Piotr 2013-05-30 08:45:07 UTC
sorry - i made mistake in version which should be 4.0.3
Comment 47 Kumāra 2013-05-30 09:28:43 UTC
You provided an ODT file (not ODG).
Comment 48 Elmar 2013-06-15 15:05:46 UTC
Started happening to me today LO Impress 4.0.2.2
Comment 49 Kumāra 2013-06-20 06:33:22 UTC
(In reply to comment #48)
> Started happening to me today LO Impress 4.0.2.2

Try the latest LibreOffice 4.0.4 at www.libreoffice.org/download/
and see if the problem is still there.
Bug 60549 "Pictures not saved to .pptx" is reportedly fixed.
Comment 50 Steve 2013-07-01 06:35:21 UTC
Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2)

Still happening.  I have had pictures disappear multiple times to the point where I can't risk it happening when I open the presentation to do it for real.

Don't want to use Powerpoint, but don't feel there is much choice.
Comment 51 Kumāra 2013-07-01 09:41:02 UTC
(In reply to comment #50)
> Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2)
> 
> Still happening.  I have had pictures disappear multiple times to the point
> where I can't risk it happening when I open the presentation to do it for
> real.
> 
> Don't want to use Powerpoint, but don't feel there is much choice.

Why not save it as ODP? I've been using since StarOffice and have never meet with such a problem.
Comment 52 Marc 2013-07-01 21:10:04 UTC
(In reply to comment #51)
> (In reply to comment #50)
> > Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2)
> > 
> > Still happening.  I have had pictures disappear multiple times to the point
> > where I can't risk it happening when I open the presentation to do it for
> > real.
> > 
> > Don't want to use Powerpoint, but don't feel there is much choice.
> 
> Why not save it as ODP? I've been using since StarOffice and have never meet
> with such a problem.

I experience the same issue, even when I save my presentation as ODP.
As long as this issue has not been fixed, LO Impress not useable at all to me.
Comment 53 Kumāra 2013-07-02 02:58:52 UTC
(In reply to comment #52)
> I experience the same issue, even when I save my presentation as ODP.
> As long as this issue has not been fixed, LO Impress not useable at all to
> me.

Would you mind uploading the file for us to have a look?
Comment 54 Cor Nouws 2013-07-03 13:27:53 UTC
And indeed, if anyone has this problem:
- pls provide file (version before and after the problem would be great :) )
- information about files origin (LibreOffice version)
- information about LibreOffice version working with
thanks,
Cor
Comment 55 Thorsten Behrens (CIB) 2013-07-03 14:25:30 UTC
*** Bug 50051 has been marked as a duplicate of this bug. ***
Comment 56 Mark van Rossum 2013-07-03 15:14:13 UTC
Also I have experienced this many times, most recently with
libreoffice-impress-4.1.0.1-3.fc19.x86_64

Bug 50051 contains a recent example of a file.
Comment 57 Cor Nouws 2013-07-03 17:47:15 UTC
(In reply to comment #55)
> *** Bug 50051 has been marked as a duplicate of this bug. ***

Note that comments #10, #11 and #12 there contain at least some pointers as for the situation:

10:  "  mostly to the images that are copy&pasted few times within a document. And only after saving, and trying to read again."

11: " this happens only, but always, when I copy&paste pictures directly from ANY MS Word 2010 or MS PowerPoint 2010 document.
Happens not when doing Copy&Paste from Gimp or Adobe Reader for example. "

12: " It is likely that it happens during autosave. "
Comment 58 Mark van Rossum 2013-07-03 21:13:45 UTC
Nice summary in previous comment, but I don't agree with #11.
I have this under linux with images taken from acroread.
Comment 59 Kumāra 2013-07-04 03:24:16 UTC
(In reply to comment #57)
> (In reply to comment #55)
> > *** Bug 50051 has been marked as a duplicate of this bug. ***
> 
> Note that comments #10, #11 and #12 there contain at least some pointers as
> for the situation:
> 
> 10:  "  mostly to the images that are copy&pasted few times within a
> document. And only after saving, and trying to read again."
> 
> 11: " this happens only, but always, when I copy&paste pictures directly
> from ANY MS Word 2010 or MS PowerPoint 2010 document.
> Happens not when doing Copy&Paste from Gimp or Adobe Reader for example. "
> 
> 12: " It is likely that it happens during autosave. "

Good to see some ideas about this. I wasn't wondering what you were talking about until I figured you were referring to comments at Bug 50051.

I've tested bug3.odp (Impress file with the images gone.) from there, and notice that the ones that are gone are strangely different from the one that is present. You can try rightclick on the placeholder, then "Original Size". It becomes very large and unwieldy. My hunch is that it has to do with Comment 11 from 50051 (as you quoted above). Can someone with those apps confirm?
Comment 60 Kumāra 2013-07-04 03:28:07 UTC
(In reply to comment #59)
> I wasn't wondering what you were talking...

Oops... I meant "I was wondering..."

Anyway, I tested the other file there and found the same.
Request info: From where were those missing images copied from?
Comment 61 jogam 2013-07-24 20:36:13 UTC
This feature just happened to me as well... 

Ubuntu 12.10 LO v. 3.6.2.2 build ID: 360m1(build:2). 

Never had that happen to me before for > 6 months. Now I used an ellipse with text, bg color and a circular arrow for the first time and now even other presentations that I did not even had open at the time are corrupted. But all of them have been created within the last week with pictures copy/pasted from GIMP. Surprising for me is the fact that all pictures where inserted the same way, but only some have disappeared...

jogam
Comment 62 Kumāra 2013-08-02 02:42:16 UTC
(In reply to comment #61)
> This feature just happened to me as well... 
> 
> Ubuntu 12.10 LO v. 3.6.2.2 build ID: 360m1(build:2). 

Can you try the latest version and see if the issue remains?
Comment 63 Sebastian Hölz 2013-08-16 09:54:48 UTC
Hi,

I just experienced a similar problem and found a way to fix it.

Problem
=======
Win 7, LibreOffice 4.1, Impress, large presentation (D:/Dokumente/Dokumente/Report_Phase1/report.odp, ~100 slides) with lots of linked images. Everything worked just fine until this morning. I think the program just knew that today is my deadline ... when I opened up the file: all links broken, no images displayed anymore.

I noticed on funny thing: In the "missing file frame", the link was pointing to the some target e.g.:
file:///D:/Dokumente/Dokumente/Report_Phase1/Figures/CSEM/image.png

At a first glance this looked OK, but looking closer I noticed the "Dokumente/Dokumente", which is incorrect. In fact, the true path should have been something like:
file:///D:/Dokumente/Report_Phase1/Figures/CSEM/image.png

TRACKING DOWN THE PROBLEM
=========================
I opened a new file (odp) and copied one slide containing a broken image link from the original presentation to the new test file. On a second slide I used the dialog (Insert -> Picture -> from File) to again link to that same image.

I then saved the presentation and re-opened it with the result that the link on the first page was still broken, but the second link worked just fine. I then unzipped the odp-file and took a look at the content.xml file. The two links looked as follows:
../../../../Dokumente/Report_Phase1/Figures/CSEM/image.png (broken link)
../Figures/CSEM/image.png (new working link).

NOTE: the actual paths were much longer, I have shortened them a bit for this post.

BUG FIX
=======
I used "find & replace" (../../../../Dokumente/Report_Phase1/Figures -> ../Figures) to replace the incorrect links in the content.xml file and re-integrated this file into the unzipped odp-file ... problem solved.

OK, neither do I know, if this bug fully relates to the ones described above nor do I don't know, why Impress is doing this to us, but at least I found a way to fix this problem for me.

Hope this is helpful to track down the problem, because this is REALLY annoying.

Cheers

Sebastian
Comment 64 Jared Davis 2013-08-30 21:37:03 UTC
Created attachment 84935 [details]
XDOC test case -- before bug

Version from before this bug hit Jared again
Comment 65 Jared Davis 2013-08-30 21:38:09 UTC
Created attachment 84936 [details]
XDOC test case -- after bug
Comment 66 Jared Davis 2013-08-30 21:48:39 UTC
I just attached two files, xdoc test case "before bug" and "after bug".  I just hit this on Windows 7 using LibreOffice 4.0.4.2.

The "before bug" file works great and has lots of images.  Suddenly, as I was editing my slides, many pictures disappeared, including the airplane on slide 1, 27, and 31.  Also many pictures disappeared on slide 29.

The *after bug* file was saved immediately after the bug struck.  I don't know what I was doing.  I think I was perhaps editing the text near slide 37.

I have been dealing with this bug for years.  I often create very image-intensive slides.  I can distinctly remember three previous presentations where one particular image continually disappeared.  It would be *wonderful* if someone can figure out why this is happening and fix it.
Comment 67 Cor Nouws 2013-10-07 11:54:24 UTC
(In reply to comment #58)
> Nice summary in previous comment, but I don't agree with #11.
> I have this under linux with images taken from acroread.

Thanks Marc. On a second (n-th) thought, I agree with you that #11 is not linked
Comment 68 Cor Nouws 2013-10-07 11:59:03 UTC
Hi Sebastian,

(In reply to comment #63)
> Hi,
> 
> I just experienced a similar problem and found a way to fix it.
> [...]
> I noticed on funny thing: In the "missing file frame", the link was pointing
> to the some target e.g.:
> file:///D:/Dokumente/Dokumente/Report_Phase1/Figures/CSEM/image.png

Thanks for the clear description and (sort of) solution.

I don't think that it is the same problem as in this bug.

Here, the embeded images really get lost.
In your problem, the links are corrupted. Your problem looks very much related to bug 48463, where the problem also is that path file:///X/more is changed to file:///X/X/more
Maybe you can open a separate issue and refer to 48463 ?

Regards,
Cor
Comment 69 Cor Nouws 2013-10-07 12:04:38 UTC
Hi all,

So good news is that there is some work goning on to fundamentaly repair the handling of images.


For time being ....

It would be my advise: if you cut and past images from one place to another in the presentation:
 - keep a copy of the presentation before starting that work;
 - use a separate Impress/Draw document that you paste the images in;
 - when all collected, sorted out:
  - save the presentation
  - copy the images from the other file to the presentation
  - save again
It's some extra work, but compared to other work, let alone losing a file, relatively little.

Ciao,
Cor
Comment 70 diback394 2013-11-01 22:52:30 UTC
I had the same problem in LibreOffice 3.6 with a png picture.

Finally found a workaround that seems to work fine:
- Add the picture to your presentation
  (the first time it is correctly displayed)
- Select the picture in the presentation
- Cut the picture into the copy & paste buffer (CTRL-X)
- Paste the picture again but as GDI metafile (Shift CTRL-V)
- Done
After this format change, I did not loose my pictures again.

Hope it works also for you.

diback394
Comment 71 Nicolas Le Novere 2013-11-20 11:04:22 UTC
I still experience the problem it in LO 4.1.2.3 Build ID: 410m0(Build:3)
(Kubuntu 13.10)
Comment 72 David Tonhofer 2013-12-05 08:58:42 UTC
Being bitten by this on LibreOffice 3.6.7.2 (Build ID: 3.6.7.2-4.fc18) (png images only?)

Comment #70 works well as workaround.

Thanks diback394
Comment 73 Dr Michael Brooks 2014-01-22 00:38:05 UTC
This bug embarrassed me this evening at a presentation I was giving to a Cambridge-based society of software developers.

Ironically, the talk was exploring the benefits of Open Source and how it is becoming an option for UK Government.

Needless to say, this didn't set a great impression for LibreOffice nor for Open Source in general when some images failed to load!

Affects: LibreOffice Impress 4.1.4.2, on Ubuntu 12.04.
Comment 74 Kumāra 2014-01-23 03:57:43 UTC
(In reply to comment #72)
> Being bitten by this on LibreOffice 3.6.7.2 (Build ID: 3.6.7.2-4.fc18) (png
> images only?)
> 
> Comment #70 works well as workaround.
> 
> Thanks diback394

Since this workaround is confirmed to work, can I request all who are affected by this to confirm if in your situation the affected images are in PNG?
Comment 75 klaus-pfeiffer 2014-01-23 21:16:28 UTC
Workaround worked, images were PNG. 
Version 4.0.2.2 (Build ID: 400m0(Build:2))
Comment 76 Menes Narmer 2014-03-20 20:56:02 UTC
I'm seeing this same behavior in v4.2.0.4 of Draw (on Mac).  It has really killed broad-based adoption of LO in our organization.  The latest update is to use the workaround, and from here on out, I will, but what is the current status of any fix?
Comment 77 B.H. 2014-04-06 21:35:29 UTC
Having a large presentation due recently, I struggled with this issue on my Fedora Linux 19's LibreOffice 4.1.5.3.  Just opening up the presentation, making a small change to some text, saving it and closing it will often result in lost images the next time it is opened.

I have also opened Fedora bug 1084822.  <https://bugzilla.redhat.com/show_bug.cgi?id=1084822>
Comment 78 Rene Sedmik 2014-06-16 17:00:50 UTC
I noticed this bug first after an update to LO 4.2.4.2 on Fedora 20.
For me the workaround int Comment#70 does not work (at least for JPG files). After reinserting the image is reset to 100% and the displayed zoom factor does not change when the frame is drawn smaller. This may be another bug but I did not verify this yet.
Comment 79 Mark van Rossum 2014-06-27 21:27:14 UTC
I still have this bug.

What is more, it seems to be worse in the latest
libreoffice-core.x86_64 1:4.2.5.2-1.fc20

than with 
libreoffice-core.x86_64 1:4.1.3.2-9.fc20 will be updated

I'm downgrading...
Comment 80 Maris Nartiss 2014-06-30 09:17:47 UTC
LO Impress 4.2.5.2 (official RPMs from LO website) on ~AMD64 Gentoo. PNGs were inserted via Insert -> Image form file. After one of saves (could be also autosave), some of images are gone and their XML nodes contain empty href attributes. No "copy & paste" was used.
Comment 81 nicotnc-gecko 2014-07-02 15:38:27 UTC
Same issue on Win 7 and LibreOffice 4.2.5.2, with SVG and PDF graphics inserted using the "insert image from file" button, or using a copy-paste from Inkscape.

After some changes in other slides, the href in content.xml file becomes blank for some (apparently) random images: <draw:image xlink:href="">.
Comment 82 Stuart Longland 2014-07-06 10:26:28 UTC
My father just struck this in LibreOffice 4.2.5.2 (official x86 build) on Windows 7.  The installation is pretty much out-of-the-box defaults.

The machine:
- AMD Turion X2 2GHz
- 8GB RAM
- Windows 7 Professional 64-bit
- Other applications installed/running:
  - Kaspersky Internet Security
  - Mozilla Firefox
  - Mozilla Thunderbird
  - OwnCloud sync client

Up until tonight I had good faith in LibreOffice.  It took a beating tonight.

The presentation was created from scratch in LibreOffice, saved as OpenDocument presentation format.

Only the stock template was used, the presentation itself consisted of a small amount of text, and about 17 JPEG photos, each approxmately ~4.7MB in size (3648x2736px).  An image would be inserted (embedded) into the presentation, one by one, then resized and positioned on the slide.  No special styling has been applied to any object other than the resizing of images.  No transitions.

Up until this point, no image loss had been observed.  The file was growing to about 60MB in size.

He decided to start compressing these images to reduce the size a little as the size of the file was beginning to have an impact on performance.  After doing this, he got the file size down to 27MB, then noticed some photos had gone missing.  Photos would randomly disappear from the document, re-adding them would cause others to disappear.

Viewing the presentation would result in the presentation software crashing.  LibreOffice would just disappear, we have no crash dump.

We've just tried downdating to version 4.1.6 (obtained from http://mirror.internode.on.net/pub/libreoffice/stable/4.1.6/win/x86/LibreOffice_4.1.6_Win_x86.msi).

We observe that when we view the slide sorter, sometimes the images appear missing, then viewing that slide, the images would be slow to display.  (They'd take about 20 seconds.)  After viewing the presentation, then returning to the slide sorter, the preview of one slide still shows missing images.
Comment 83 Matt Hirsch 2014-07-08 05:44:43 UTC
I'm running Fedora 20, and also getting this bug with libreoffice-4.2.5.2-1.fc20.x86_64.

This bug is marked NEEDINFO. What info is needed?
Comment 84 Cor Nouws 2014-07-08 07:45:16 UTC
*** Bug 81022 has been marked as a duplicate of this bug. ***
Comment 85 Matt Hirsch 2014-07-09 05:44:30 UTC
I would like to add an observation that could narrow things down slightly. This seems true for version libreoffice-4.2.5.2-1.fc20.x86_64 in Fedora Linux (I'm not sure if it applies to other cases). For me, this issue seems very much related to autosave.

I've been working with a large presentation ~100 slides, lots of videos, pictures, shapes, animations, etc. Total size is about 200MB. I was getting the missing picture problem somewhere in the document every time I worked on it.

I've noticed that if I worked on the document for a short time, save it, and quit, I wouldn't see the problem. I've turned off autosave, and haven't seen the issue since. For me, at least, it seems that regular save -- ctrl-s, or from the file menu -- don't corrupt the document. Only a save after an autosave occurs causes this corruption.
Comment 86 Dr Mike Brooks 2014-07-10 19:22:57 UTC
How is this bug still unfixed?! It was first reported 2 years and 5 months ago.

At my company, a debate is raging over whether we abandon our Microsoft Office 365 licences and go entirely to LibreOffice. Unfortunately, the abundance of bugs and lack of movement in fixing them is the main cited reason why we should stick with MS. It's hard to disagree.
Comment 87 ign_christian 2014-07-11 02:46:35 UTC
Change Version back to 3.3.2 according to: https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Version
Comment 88 Caolán McNamara 2014-07-14 12:13:17 UTC
We have actually fixed this in one sense, it's just that there are multiple issues and evidentially we haven't fixed them all and this has now become a catch-all bug for a bunch of bugs with the same result. We definitely have fixed some of them. What is required is a route to reproduce, on the very latest stable releases, for what reportedly remains.
Comment 89 fuggi 2014-07-16 06:24:45 UTC
Really? That's strange, because it worked in any case I tried in version 4.1.6.2, but causes severe problems almost randomly in version 4.2.5.2 again no matter how the image was embedded (imported or copy&paste) nor if it was edited (cropped, resized, ...) or not.

I agree with Mike Brooks, it's almost impossible to migrate our company to LibreOffice since there are such obvious bugs even in the nth stable release.
Comment 90 rastaxe 2014-07-17 20:03:29 UTC
I got the same behavior with a fresh presentation using Version: 4.2.5.2 on Ubuntu 12.04 32bit. Yesterday, I decided to remove all the spaces from the path and even the name of the presentation (just to try!). Up to now, the problem disappeared, but maybe it is just a coincidence and it is not related to the bug.
Comment 91 Peter Ward 2014-07-18 07:39:26 UTC
Mat Hirsh, #85, is on the right track.
I have used 4.2.5.2 on XP and Win 7 variously to build a large document with many embedded jpegs for then last fortnight. Was driven to distraction by pictures just disappearing.
Ready to quit and go back to Office, but following Matt, turned off auto-save. Now two full days on my project without one picture disappearing.
This may be the place to look.
Comment 92 Kumāra 2014-07-18 08:05:47 UTC
Since we now have good reports by turning off autosave as a (temporary) workaround, can those still affected by this bug give it a try and report back?

(Strangely, I've been working on an ODP with lots of images for years (now 3264kb) w/o this problem. Touch wood!)
Comment 93 sophie 2014-07-21 12:32:50 UTC
*** Bug 81026 has been marked as a duplicate of this bug. ***
Comment 94 Joel Madero 2014-07-23 02:09:48 UTC
*** Bug 81602 has been marked as a duplicate of this bug. ***
Comment 95 tommy27 2014-07-23 04:40:57 UTC
maybe the same root as Bug 52226 which is related to autosave as well?
that bug recently received a fix, so I suggest to grab a daily 4.4.x.x or 4.3.1.x build to test if that fix is beneficial to the current  bug as well
Comment 96 Rpnpif 2014-07-23 10:14:46 UTC
The workaround with none autosave works fine for me too (bug 81602).
Comment 97 Rpnpif 2014-07-23 10:49:31 UTC
(In reply to comment #95)
> maybe the same root as Bug 52226 which is related to autosave as well?
> that bug recently received a fix, so I suggest to grab a daily 4.4.x.x or
> 4.3.1.x build to test if that fix is beneficial to the current  bug as well

This bug is not fixed in  libreoffice-4-3~2014-07-23_00.54.59_LibreOfficeDev_4.3.1.0.0 of today.
Comment 98 David Tardon 2014-07-24 07:56:39 UTC
I believe this has been fixed by commit fd641c7b23ce4205c29fc0c564b73336cb2cfb07. Could someone check with the latest daily build?
Comment 99 Rpnpif 2014-07-25 09:33:40 UTC
(In reply to comment #98)

For me this bug was fixed with the latest daily build (libreoffice-4-3~2014-07-24_16.46.54_LibreOfficeDev_4.3.1.0.0_Linux_x86-64_deb.tar.gz).

Thank you.
Comment 100 retired 2014-07-25 09:59:22 UTC
Looks like Caolans fix for https://bugs.freedesktop.org/show_bug.cgi?id=52226 also fixed this here.

Setting to Fixed as of Comment 99. Can't test myself since nightly builds for OS X are broken.

Feel free to test yourself and correct me if I'm mistaken.
Comment 101 freddi34 2014-08-05 11:41:18 UTC
This happens for me as well, for both jpg and png files, and at arbitrary actions to other elements of the presentation (undo, cut&paste, save).

LibreOffice: 4.3.0.4
Build-ID: 430m0(Build:4) from the Launchpad ppa:libreoffice/libreoffice-4-3

Ubuntu 14.04 64bit
Comment 102 retired 2014-08-06 22:52:31 UTC
Freddi or others on Linux: anybody up for some testing using the latest nightly? http://dev-builds.libreoffice.org/daily/master/
Comment 103 Jean-Baptiste Faure 2014-08-08 15:27:44 UTC
Please don't change version number, it shows the oldest version in which the bug has been found.

Best regards. JBF
Comment 104 Jean-Baptiste Faure 2014-08-11 04:42:38 UTC
*** Bug 82442 has been marked as a duplicate of this bug. ***
Comment 105 Rpnpif 2014-08-14 13:19:57 UTC
(In reply to comment #102)
> Freddi or others on Linux: anybody up for some testing using the latest
> nightly? http://dev-builds.libreoffice.org/daily/master/

I had same issues as Freddi.
The latest nightly, Build ID: 13d4f7b800a9f35717ed91f330b38513e0db4bc6  2014-08-12_16:26:55, seems to fix this issue for me (on Debian).

Thank you.
Comment 106 Rpnpif 2014-08-14 14:16:08 UTC
(In reply to comment #105)
> The latest nightly, Build ID: 13d4f7b800a9f35717ed91f330b38513e0db4bc6 
> 2014-08-12_16:26:55, seems to fix this issue for me (on Debian).

But this snapshot is not complete : lodevbasis4.4-core05 is missing because perhaps it is an alpha release. So Debian's apt speaks of dependences problems.

Please, plan to fix this bug 46447 in 4.2 and 4.3 releases.

Regards,
Comment 107 Christian 2014-08-27 09:35:49 UTC
I suffer on the same sever bug on CentOS 7 LibreOffice 4.3.0.4 Release

Note: I appears when I copy-pasted slides from a pretty old presentation that was created with a previous release of Libre/OpenOffice.
At first it worked after unknown events the pictures of several Slides disappeared.
Comment 108 kitaets 2014-08-27 09:52:33 UTC
LO 4.3.1.1 build is almost Ok. I've been editing a presentation for several days using 3 ways for pasting images:
- copy from GIMP
- copy from another presentation
- inserting from png file (drug&drop)
I have used every method several times.
One picture has disappeared only once, I don't know why. Hope it was some bad magic.
Comment 109 kitaets 2014-08-27 13:29:09 UTC
I have lost another image right now. The autosave function is turned off. LO 4.3.1.1 @ Ubuntu. So, the problem is not completely solved.
Comment 110 ign_christian 2014-08-27 13:35:43 UTC
(In reply to comment #109)
I'm sorry for my silly question, did you use fresh profile with 4.3.1.1 & still reproduce the problem?
Comment 111 kitaets 2014-08-27 20:44:41 UTC
(In reply to comment #110)
No, sorry for my silly question, what do you mean "fresh profile"?
I uninstalled all LO packets and installed LO 4.3.1.1. I have not deleted any files in my home folder.
Comment 112 Owen Genat (retired) 2014-08-28 00:39:51 UTC
(In reply to comment #106)
> (In reply to comment #105)
> > The latest nightly, Build ID: 13d4f7b800a9f35717ed91f330b38513e0db4bc6 
> > 2014-08-12_16:26:55, seems to fix this issue for me (on Debian).
> 
> But this snapshot is not complete : lodevbasis4.4-core05 is missing because
> perhaps it is an alpha release. So Debian's apt speaks of dependences
> problems.

For the sake of clarity, this problem is documented in bug 82288. The missing package (core05) only affects certain tools (e.g., beanshell, javascript, mediawiki, nlpsolver, report builder, etc.) that are not likely related to the problem reported here of embedded images being dropped from a presentation.
Comment 113 ign_christian 2014-08-28 02:09:59 UTC
(In reply to comment #111)
https://wiki.documentfoundation.org/UserProfile
Comment 114 kitaets 2014-08-28 03:01:40 UTC
(In reply to comment #113)
> (In reply to comment #111)
> https://wiki.documentfoundation.org/UserProfile

:) Ok, I believe I knew what is user profile. I have asked what do YOU mean "fresh profile".
After your previous comment I have uninstalled LO, renamed /home/<user name>/.config/libreoffice folder and installed LO again. The 4.3.1.1 build is not good for real life, it has some issues, but Ok, I will test it more.
Comment 115 ign_christian 2014-08-28 03:25:32 UTC
(In reply to comment #114)
Sorry for not using proper wording :)
Anyway 4.3.1.2 is out, please use that instead
Comment 116 Andrewcass 2014-08-29 11:25:21 UTC
I' a 4.3 user and a presentation of 63 pages lose all images on it!
On writesr i lose 2 images that desappear.

But on Impress all images were changed to a link error icon..
Comment 117 kitaets 2014-08-29 11:28:53 UTC
(In reply to comment #116)
> I' a 4.3 user and a presentation of 63 pages lose all images on it!

What is the full number? 4.3.0 or 4.3.1 or 4.3.1.1 or 4.3.1.2?
Comment 118 Stefano Fraccaro 2014-09-10 08:55:25 UTC
4.3.0.4 still have the bug
Comment 119 Stefano Fraccaro 2014-09-10 12:14:41 UTC
4.3.1.2 still has the bug
Comment 120 Caolán McNamara 2014-09-10 19:58:58 UTC
There are multiple bugs that have the same result. This is now a mangled trainwreck of a bug report unfortunately. Some of the problems reported here are certainly solved, and there appears to be remaining problems.

Taking 4.3.1.2, and ignoring all earlier versions, is there now a known route to reproduce the problem ? At this point a script to continually inserting/copying/saving images into impress in some mega-loop might be the way to go.
Comment 121 Cor Nouws 2014-09-11 09:57:46 UTC
Created attachment 106122 [details]
zip with extension & explanation for loading lots if images
Comment 122 Cor Nouws 2014-09-11 09:59:12 UTC
(In reply to comment #120)

>  At this point a script to continually
> inserting/copying/saving images into impress in some mega-loop might be the
> way to go.

thanks for reminding me. Started this month or so ago, but somehow it dropped :(
Attached zip contains extension and short explanation.
Hope this helps.
Comment 123 Cor Nouws 2014-09-11 21:29:31 UTC
@caloan:

(In reply to comment #122)

> Attached zip contains extension and short explanation.
> Hope this helps.

Hm, bit stupid that I didn't think of the documentservice: the attached is for text documents..
I can change it to do the same for presentations. Need some time..

Maybe in the mean time, trying in Writer is interesting too :) ?
Comment 124 Jean-Baptiste Faure 2014-09-14 15:38:12 UTC
*** Bug 83732 has been marked as a duplicate of this bug. ***
Comment 125 Johann Glaser 2014-09-15 12:22:32 UTC
Same here, working with LibreOffice Version: 4.3.1.2 Build-ID: 430m0(Build:2) and lost several images on a few slides just a moment ago. Only the placeholder frames for missing images are shown.

This bug now persists for several years. :-(
Comment 126 Cor Nouws 2014-09-16 20:49:35 UTC
*** Bug 83945 has been marked as a duplicate of this bug. ***
Comment 127 robert.meyer 2014-09-17 15:11:27 UTC
I just upgraded to 4.3.1.2 (from 4.2) since some images were lost and I thought an upgrade may fix this. But as a result, now even more of my images (png, inserted via copy and paste) are gone after opening my old presentation! Even worse, all videos are gone. Not a single one is working.

How can I fix this? Where can I manually edit the links the videos and images are pointing to?
Comment 128 morty 2014-09-17 16:40:39 UTC
I think I have found a workaround. Based on the hint, that this happens with old slides, I removed the Configurations2 folder from the odp (1). When opening the file and did not start the recovery process. Since then everything is fine.
I did loose some settings like user defined colors, but at least it is working again.

(1) For those not familiar with od*: It is a simple zip file you can open with your favorite zip program. Worst case, rename it to zip and back. Don't forget to make a backup.
Comment 129 Jean-Baptiste Faure 2014-09-17 20:02:40 UTC
*** Bug 83715 has been marked as a duplicate of this bug. ***
Comment 130 Chris Simon 2014-09-23 00:59:19 UTC
I can confirm this Bug on Arch Linux
Version: 4.2.6.3
Build ID: 4.2.6.3 Arch Linux build-4

This has been happening to me with new presentations. 
I'm throwing together a presentation in Impress 
and I'm using this Google Images file of as a placeholder (Perseid meteor shower)
https://drive.google.com/file/d/0B7q1i4T96t6eaW9SdnpqMTZOVFE/edit?usp=sharing
and its disappeared, replaced with an image icon.

The presentation is in a subdirectory of my home folder. This image is within an images directory:
- 644 my_presentation.odp
+ 755 images
|-- 644 perseids_bruenjes_big.jpg

I've been dealing with this problem by reinserting the missing images and saving immediately. Files saved with all the images visible have been opening with the images visible subsequently. In other words, the images don't bork--for me--when the file is opened.
Comment 131 Caolán McNamara 2014-09-23 09:53:52 UTC
There are multiple bugs that have the same result. This is now a mangled trainwreck of a bug report unfortunately. Some of the problems reported here are certainly solved, and there appears to be remaining problems.

Taking *4.3.1.2*, and *ignoring all earlier versions*, is there now a known route to reproduce the problem ? At this point a script to continually inserting/copying/saving images into impress in some mega-loop might be the way to go.
Comment 132 mail 2014-09-25 08:59:06 UTC
I really cannot believe this is happening. This bug is pestering me for years now and left me standing in the rain again yesterday with a part of pictures gone during a presentation. This was a presentation created from scratch, no legacy imports whatsoever. 

The Powerpoint DVD is spinning in my drive, I'm over and out after 8 years of OOO and LO, I'm using Latex instead of Writer anyway.

I agree with some of the comments above: There seems to be little understanding in the community that Impress could be an important "door-opener" at Universities where MS-Licenses are cheap and scientific documents are often written in Latex anyway. We lecturers could be multipliers but -  as mentioned before - I feel truly left standing in the rain.
Comment 133 Torres 2014-09-25 11:52:28 UTC
As this bug is related to embedded images, a possible way to avoid it is to use linked images.

When pictures are linked instead of embedded, it is important to activate option "Save URLs relative to filesystem", as explained at https://help.libreoffice.org/Common/Relative_and_Absolute_Links.

As a consequence, images are never lost, because they are previously placed in some known folder in order to link them. If the presentation has to be copied or moved to a different folder, images will be available provided that they are copied or moved to the relative corresponding path too.
Comment 134 Miguel Q 2014-09-26 19:21:38 UTC
I can confirm this is still happening in 4.3.1.2 and 4.2.6.3. I lost many of my copy/pasted images in my slides more than once in the past 2 weeks. This is really a show-stopper, and I think this is the worst bug currently present in LO that I know of.

I am now trying some of the workarounds here presented (increased memory buffer in options + removed the Configurations2 folder from the odp + disabled auto-save) and have not encountered this bug again so far.
Comment 135 pclossing 2014-09-26 23:48:51 UTC
I also got hosed by this bug.  I lost all of my copy/pasted images in my slides more than once. This is a horrible bug for software based on showing images. Hours of time down the drain on this product. Booo!!!!
Comment 136 Kumāra 2014-09-27 04:26:36 UTC
(In reply to comment #18)
> It seems that increasing the memory for images in the options dialog (say
> from 30 MB to 200 MB) reduces the problem.

(In reply to comment #134)
> I am now trying some of the workarounds here presented (increased memory
> buffer in options + removed the Configurations2 folder from the odp +
> disabled auto-save) and have not encountered this bug again so far.

Perhaps this is why I never had the problem. I recall changing this long time ago.

Suggestion to all affected ones: Go to Tools - Options - LibreOffice - Memory

On the right, you'll see "Graphics cache".
My settings:
Use for LibreOffice: 128 (MB)
Memory per object 10 (MB)
Remove from memory after 00:10 (hh:mm)

(Perhaps LO should go automatic on this.)

I've never disabled auto-save (more correctly: Save AutoRecovery information).
Comment 137 kitaets 2014-09-27 05:13:52 UTC
(In reply to comment #135)
> I also got hosed by this bug.  I lost all of my copy/pasted images in my
> slides more than once. This is a horrible bug for software based on showing
> images. Hours of time down the drain on this product. Booo!!!!

Why have you changed this?
Hardware from All to x86 (IA32)
OS from All to Windows (All)
Version from 3.3.2 release to 4.3.0.4 release

Is it your parameters or what? As I see Linux users still have this problem too.
Comment 138 Cor Nouws 2014-09-28 20:58:51 UTC
*** Bug 74572 has been marked as a duplicate of this bug. ***
Comment 139 Hanan Sela 2014-09-29 05:17:04 UTC
Hello all 
Since upgrading to Ubuntu 14.04 with  LO 4.2.6.3 I have the same problem. Images are disappearing and only place holders are found. This problem is occurring after reopening the file or after inserting one odp file into another. In the later case, only the inserted file images disappeared.  This problem was not observed in the same machine with 12.04 and older LO versions.   When renaming to .zip and extracting files the images are not found in  “pictures” folder .  I do not have the problem at work with   Ubuntu 14.04 LO 4.2.5.2  with the same odp files.
Comment 140 Kumāra 2014-09-29 06:30:30 UTC
(In reply to comment #136)
> Suggestion to all affected ones: Go to Tools - Options - LibreOffice - Memory
> 
> On the right, you'll see "Graphics cache".
> My settings:
> Use for LibreOffice: 128 (MB)
> Memory per object 10 (MB)
> Remove from memory after 00:10 (hh:mm)
> 
> I've never disabled auto-save (more correctly: Save AutoRecovery
> information).

I should add that I'm still using 4.1.6.2. (Not upgrading until regression Bug 75137 is fixed.)
Comment 141 Cor Nouws 2014-10-01 11:18:14 UTC
*** Bug 84546 has been marked as a duplicate of this bug. ***
Comment 142 Pander 2014-10-02 20:45:17 UTC
I also ran into this bug while preparing for a presentation and a colleague had it during a presentation. Please fix this a.s.a.p. to prevent more loss of work, emberrasing moments and image damage for LibreOffice.
Comment 143 Jer 2014-10-03 15:59:31 UTC
I was using LO 4.2.6.3 (Build ID: 420m0(Build:3)) on Ubuntu 14.04.1 32-bit (up until Monday 29 Sept when I installed Xubuntu 14.04.1) and encountered that problem constantly. As with others, it did not matter how I put the pictures in (Insert; Copy/Paste; Drag/Drop) eventually some of them would disappear. I always 'fixed' it by right-clicking on the empty image box and clicking "Change picture" and basically re-assigning it. This would often cause other pictures in the presentation to disappear.

I started encountering another issue with the Slide Pane not being visible but I don't know if that issue belongs here.

Since I just reformatted and they weren't working anyway I do not have a sample doc to post but for now I will stick with Google Drive.

Jer
Comment 144 Jer 2014-10-03 16:07:23 UTC
Created attachment 107274 [details]
Test case for images disappearing

I just took LO for a quick test spin and attached the file. As you can see, I didn't even get 4 slides completed before the image on my title slide disappeared. The images were saved from Google (Save Image as) to my desktop and then inserted using the image button. I didn't even have a chance to use 'Save as' so maybe there is something with the autosave (mentioned in previous comments)
Comment 145 Kumāra 2014-10-04 03:07:24 UTC
(In reply to Jer from comment #144)
> Created attachment 107274 [details]
> Test case for images disappearing
> 
> I just took LO for a quick test spin and attached the file. As you can see,
> I didn't even get 4 slides completed before the image on my title slide
> disappeared. The images were saved from Google (Save Image as) to my desktop
> and then inserted using the image button. I didn't even have a chance to use
> 'Save as' so maybe there is something with the autosave (mentioned in
> previous comments)

Thanks for the report. And what if you apply the suggestion at Comment 136?
Comment 146 Jer 2014-10-04 05:22:30 UTC
Created attachment 107301 [details]
Testcase 2; with changes made from Comment 136

Here is another test presentation. I have applied the changes from Comment 136 (128 MB for LibreOffice; 10 MB per object) and got the same result as before, this time losing the last two pictures that I inserted. At first, the picture was still visible on the slide in the slide pane but not on the outline. Then after scrolling up and down it was gone from both. All of the pictures share the same directory and are .jpg, .png, or .gif; the two that disappeared were jpgs at 100kb and 300kb
Comment 147 Jean-Baptiste Faure 2014-10-04 06:37:32 UTC
Why only 128 MB ? The maximum possible value is 256 MB. Since at least OOo 2.0 the first customization I do when I configure OOo / LO is to set this value to its maximum. And I do not lost pictures inserted in my presentations.

Additionally I uncheck the checkbox "Automatically save the document too" because, as all dinosaurs, I am used to hit ctrl+S very often.
  
Best regards. JBF
Comment 148 Jer 2014-10-04 15:12:37 UTC
I used 128MB as that has been suggested in previous posts (Comment 136). Either way I don't think its relevant as the total size of the pictures I embedded into that presentation was only 2.8Mb. So unless LO is increasing the size of my images 50 fold, why should I have any issues? 

And while I appreciate the suggestion, it is not a solution, merely another workaround (and one that has been suggested for a year and a half; Comment 18). If LO can not even function with a cache lower than 200MB then why is it adjustable? I certainly can not afford to spend days preparing a presentation with the risk of losing my pictures.
Comment 149 Jean-Baptiste Faure 2014-10-04 15:40:06 UTC
It is the graphic cache and pictures are not the only graphics in a presentation.

Best regards. JBF
Comment 150 Cor Nouws 2014-10-06 13:05:14 UTC
Created attachment 107422 [details]
zip with oxt and odt with explanation

(In reply to Cor Nouws from comment #123)

> I can change it to do the same for presentations. Need some time..

Attaching a new version of the oxt
Works in Writer and in Impress
The zip contains .oxt and odt with some explanation
Comment 151 Caolán McNamara 2014-10-06 16:03:48 UTC
That macro seems to insert into impress as a link instead of embedding the content, so probably doesn't exercise enough of the tricky piece
Comment 152 Cor Nouws 2014-10-06 17:55:13 UTC
(In reply to Caolán McNamara from comment #151)
> That macro seems to insert into impress as a link instead of embedding the
> content, so probably doesn't exercise enough of the tricky piece

Ugh .. :\
Comment 153 Cor Nouws 2014-10-07 08:35:21 UTC
Created attachment 107457 [details]
zip with oxt embedding pictures in Impress too

pls try this one
Comment 154 Brad Richards 2014-10-07 09:33:46 UTC
I have seen this bug off-and-on for years, going way back into OpenOffice days. However, I recently upgraded to Ubuntu 14.04 LTS (with LibreOffice 4.2.6.3), and the subjective frequency of this problem is *much* higher than before. Just yesterday I had this problem occur at least a dozen times in the course of the day.

For what it may be worth: I primarily insert images by taking a screenshot, editing it in GiMP, copying a region from GiMP, and then pasting this into Impress.

One of the developers commented above that this problem seems to be triggered from various places, and they are hunting these places down. May I just note: When a problem is so recalcitrant that it cannot be fixed over the course of several years, then something is fundamentally broken. Please consider throwing away the existing image-handling code and re-designing it from scratch.

As others have pointed out, this is a <i>disastrous</i> error. This flaw alone has cost users uncounted thousands of hours of lost work. This flaw alone is reason for companies to avoid adopting LibreOffice.
Comment 155 Pierre C 2014-10-07 11:05:12 UTC
Hi,
I've never had this bug before. But, when upgrading to LO 4.2.x this bug happens several times (impress).
It seems that there are a lot of duplicates were raised at this time

The bug happens in many ways. Coping and pasting from the net, from Xnview, linking object. At a moment all the images inserted disappears. But only images added.
The only workaround for me was to save my file very often.
I've upgrade to 4.3.2, and this bug seems to have gone away. In the other hand, I've not work a lot with Impress 4.3.2

Impress has a lot of bugs since 4.0
https://bugs.freedesktop.org/show_bug.cgi?id=72988
https://bugs.freedesktop.org/show_bug.cgi?id=77523

It' difficult to get the focus on a text frame or on a image

All these bugs are *regressions*, and are graphic problems

Maybe this bug is a side effect of one of them
Comment 156 Juang Dse 2014-10-07 13:02:09 UTC
(In reply to Brad Richards from comment #154)
> I have seen this bug off-and-on for years, going way back into OpenOffice
> days.

for what it's worth, the earliest bug entry I found for this is


2002-12-16 11:26:51 UTC


That is about 12 years now, isn't it? - Actually I don't remember running LO/OOo, perhaps even the old StarOffice, without this bug.

J.
Comment 157 Rpnpif 2014-10-07 14:56:33 UTC
(In reply to Pierre C from comment #155)
> The only workaround for me was to save my file very often.
> I've upgrade to 4.3.2, and this bug seems to have gone away. In the other
> hand, I've not work a lot with Impress 4.3.2

I think that all users should use LO 4.3.2.2. With this release, I have never seen this bug on Debian.

@Juang Dse: Please help testing (or developing if you can). LO needs volunteers. Did you tested intensively 4.3.2?
Comment 158 Rpnpif 2014-10-11 15:07:01 UTC
(In reply to Rpnpif from comment #157)
> I think that all users should use LO 4.3.2.2. With this release, I have
> never seen this bug on Debian.

I had write too early.
Now I have the same bug but in Writer: an image in a text document disappeared during autosave.

Should I open a new bug report or add a sample file to this bug 46447 ?
As this bug is about Presentation, I opened a new report about writer. Are you OK ?

Regards.
Comment 159 Rpnpif 2014-10-11 15:34:01 UTC
(In reply to Rpnpif from comment #158)
> As this bug is about Presentation, I opened a new report about writer. Are
> you OK ?

I mean that I'll open a new report if it is needed.
Comment 160 ign_christian 2014-10-12 11:30:48 UTC
(In reply to Rpnpif from comment #158)
> Now I have the same bug but in Writer: an image in a text document
> disappeared during autosave.
Should be this: Bug 82953
Comment 161 Kharol 2014-10-12 18:58:20 UTC
Wow, given the age of this bug, this is a VERY VERY dissapointing situation, 

I'm using L.O.Impress, Version: 4.2.6.3
Build-ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21 

and the problem annoys the hell out of me. 
I'm just preparing my slides and images come and go when and where they want. 
Usually the Images tend to stay after loading them again one or a few times... 
but until no further changes are made it's absolutely unpredictable which images are going to stay or disappear. 

If people think no-one is interested: I just assume this is a show-stopper that makes people turn away and never come back. 

I am sure this is not limited to .png, but also happens with .jpeg.
Comment 162 Pierre C 2014-10-12 21:18:01 UTC
(In reply to Pierre C from comment #155)
>> The only workaround for me was to save my file very often.
>> I've upgrade to 4.3.2, and this bug seems to have gone away. In the other
>> hand, I've not work a lot with Impress 4.3.2

>I think that all users should use LO 4.3.2.2. With this release, I have never >seen this bug on Debian.

Just a little sum up of the situation :

I Went to LO 4.2 because working with table and impress 4.1 makes LO crash

Then, I went to 4.3 because images disappears in LO 4.2

In LO 4.3 I loose some of my work in formulas in writer. 

None of my update were motivated by a new feature

Last but not least : I must keep an OpenOffice, to resized my formulas with borders in writer (borders shrink the formulas since 4.1 ?)

This is a really funny way to work and a big waste of time

And now, with impress 4.3 It sometimes crashes. Yesterday I loosed one our of work.
I'm a ten years user of OpenOffice/LibreOffice. I told many peoples to use this office suite. But since LO 4.x I haven't told anybody to use it
Comment 163 daria 2014-10-15 14:30:58 UTC
Same bug with LO 4.2.5.2 on Windows 7. 
Memory settings are changed (as suggested above). I use laptop that is not very powerful, can be that there is not enough CPU.
Pictures disappear after autosave and after save/save as. Doing backup doesn't help, as pics disappear also from backuped presentations.
It's possible to see presentation fine before closing and open it without pictures.
Seems that it occurs mostly when you click occasionally on other than current slide when autosave is running. For awhile I continue to see disappeared images in Slide Pane.
Pics are disappearing whether they are linked, inserted from file or from screenshot software.
It's very very very frustrating. Total loss of working time for me now 48 hours.
Many thanks to all, who are working on this problem.
Comment 164 Rpnpif 2014-10-15 16:16:35 UTC
(In reply to daria from comment #163)
> Same bug with LO 4.2.5.2 on Windows 7. 

Please, read comments of others users above where it is said that all should use LO 4.3.2 to perhaps fix this bug.
Comment 165 wkrekik 2014-10-18 09:21:44 UTC
(In reply to Rpnpif from comment #164)
> (In reply to daria from comment #163)
> > Same bug with LO 4.2.5.2 on Windows 7. 
> 
> Please, read comments of others users above where it is said that all should
> use LO 4.3.2 to perhaps fix this bug.

Still present, but with a much lower frequency in LO 4.3.2.2 Build ID: fb5295ba211bd31ad47d0bad0118690f76407d
Comment 166 teacher1st 2014-10-20 16:47:30 UTC
Workaround to prevent embedded pictures disappearing or displaying improperly in Impress slides:

1- From "Slide Sorter" right click on empty space and select "New Slide"

2- Double click the new slide.  Now in "Normal" tab

3- Add content to slide including embedding pictures

4- When finished with editing the slide Left Click on "Slide Sorter"

5- Right click on empty space and select "New Slide"

6- File => Save

The creating a new empty slide at the end of the deck seems to save the embedded pictures placed in the earlier slides.

While following this procedure some extra new and empty slides are created.
Removing these extra empty slides after saving does not cause deletion/changes of the embedded pictures in the earlier slides.

After modifying the contents of a slide, I add an empty slide to the end of the slide deck then File => Save.

Since doing this, embedded pictures are displayed properly. Before, only a rectangle with an "x" in the upper left corner displayed rather than the picture. 

LibreOffice 4.2.6.3
Ubuntu 14.14 LTS
Linux 3.13.0-34-generic
Comment 167 tommy27 2014-10-20 19:25:10 UTC
*** Bug 82767 has been marked as a duplicate of this bug. ***
Comment 168 Cor Nouws 2014-10-20 20:16:11 UTC
(In reply to teacher1st from comment #166)

> 1- From "Slide Sorter" right click on empty space and select "New Slide"
> [..]
> The creating a new empty slide at the end of the deck seems to save the
> embedded pictures placed in the earlier slides.

thanks for the explanation teacher1st.
This helps because you force synchronisation of the various copies of the document that are kept in memory for the various views (and more).
Comment 169 deim 2014-10-21 18:42:10 UTC
please fix this error ASAP, I've just lost 1/3 of my presentation :'(
Comment 170 bcanfiel 2014-10-21 20:51:03 UTC
Seriously, this is absolutely ridiculous.  I've been increasingly burned by this bug on while using Version: 4.2.6.3 Build ID: 420m0(Build:3).  Finally happened yesterday morning in front of my class.  Images from the entire presentation were gone.  Luckily, I had an older version of the presentation from an earlier semester that I was at least able to make my way through so that I did not waste a complete lecture period (in addition to the hours of prep work that was indeed lost).

I've been trolling this thread for a few weeks hoping a solution would arise.  None of the recommendations so far have worked, including that from teacher1st.  Images continue to disappear randomly, most often while I am actively creating/editing a file, and sometimes on a fresh open of a complete file.

However, I made a new observation today which may be of some value as I have not seen it mentioned in previous comments:  I was working on a presentation today which had been copied over as a new file from an earlier version.  Several hours in and all of a sudden 3 images are missing from 3 slides, showing only the placeholders, and on one slide an image remains (i.e. on a slide where previously there were two images, there is now one image and one placeholder).  In order to quickly remedy this situation, I find the earlier version of the presentation in a different file in a different folder.  Lo and behold, when I open that file, the exact same 3 images are missing and only those images are missing.  That seems very odd to me.
Comment 171 Pierre C 2014-10-21 21:06:18 UTC
Impress is getting worse. yesterday at a work session of the city council, I was using Impress and draw. I had three crashes ! This has never happened before !
I'm not that it was a good thing for the LibreOffice credibility (LO4.3.3.1)
Please stop adding functionality ! Solve bugs. it's time for a brake.
Comment 172 Cor Nouws 2014-10-22 15:04:43 UTC
*** Bug 85329 has been marked as a duplicate of this bug. ***
Comment 173 michael.wibral 2014-10-22 17:23:38 UTC
I can confirm having had and still having this bug on all versions of LO since at least 3.5.7.2. The bug appears on various systems, Linux 64 bit, Ubuntu 12.04LTS and 14.04LTS, Linux Mint Lisa. It's more frequent in the 4.x version or so it seems to me. 

I have been giving lectures with LOimpress 3.x vrsions but don't dare to anymore with the 4.x branch.

Formats that I can conform to be problematic are at least .png an .tif.


Best,
Michael
Comment 174 Cor Nouws 2014-10-22 17:45:56 UTC
(In reply to michael.wibral from comment #173)
> I can confirm having had and still having this bug on all versions of LO
> ...

thanks - but pls don't touch the fields unless you've read the documentation on that ;)
Comment 175 stragu 2014-10-27 12:28:23 UTC
Why isn't this listed as a MAB?
Comment 176 timswait 2014-10-27 17:00:09 UTC
I have the exact same bug, in Version: 4.2.6.3 Build ID: 420m0(Build:3).
Comment 177 Cor Nouws 2014-10-27 19:16:17 UTC
@Caolán:

(In reply to Caolán McNamara from comment #131)

>    At this point a script to continually
> inserting/copying/saving images into impress in some mega-loop might be the
> way to go.

You meant for trying to reproduce by * or to do the same by someone with specific development tools running ?
Comment 178 tommy27 2014-10-27 20:14:35 UTC
(In reply to chtfn from comment #175)
> Why isn't this listed as a MAB?

I don't know why it wasn't in that list. I added it to it right now.
Comment 179 jo.lasticott 2014-10-30 14:50:11 UTC
Have the same bug. version 4.2.6.3. Build ID: 420m0(Build:3)

Lot of wasted time on presentations ...

If it can helps :
I installed the "TexMaths" plugin (0.41) to create mathematical formulae with LaTex syntax. The same bug occured. Formulae disappear randomly when generated with png export.
Comment 180 Cor Nouws 2014-10-30 15:41:29 UTC
(In reply to jo.lasticott from comment #179)

> Lot of wasted time on presentations ...

Sorry for that.
Now if you attempt to change the fields in the header of this issue, you get a warning... pls respect that ;)
Comment 181 Joel Madero 2014-11-02 15:44:23 UTC
REOPENED is incorrect status - REOPENED is saved for bugs marked as FIXED and assigned to developers. This has never been assigned to a developer. Marking as NEW.
Comment 182 Martijn Werts 2014-11-05 22:50:39 UTC
The bug in Impress is still present in my LibreOffice (Version: 4.2.6.3 Build ID: 420m0(Build:3) on Ubuntu 14.04 LTS, 64-bit)

Recently I started working with TexMaths which inserts LaTex-formatted formulae as PNG images into LibreOffice documents (see Comment #179)

These PNG images disappear randomly while working on the document (perhaps it has to do with the autosave, but I am not sure). In the case of TexMaths, the formulae can be brought back by selecting the empty image placeholder and clicking on the TexMaths plugin symbol to bring up the TexMaths dialog again.

I have experienced randomly disappearing images in the past (before TexMaths), sometimes only finding out when giving the presentation. Now I realise that this is due to a long standing bug (or bugs).

I hope that this serious problem will soon be solved, and I will try to help. It is the type of bug that efficiently chases people away from LibreOffice. Most of these will not file a bug report, but will simply stop using the software.
Comment 183 s.vanbennekom 2014-11-10 15:05:01 UTC
Still happens on linux mint. Just cost me half an hour.
Started a fresh presentation and inserted downloaded jpegs and pngs, nothing more. After saving and reopening images were lost.

Version 4.2.6.3, Build ID: 420m0(Build:3)
Comment 184 Jayna Sheats 2014-11-14 05:51:29 UTC
This bug is incredibly frustrating and I hope someone is making it urgent.  Images disappear even from a file that is not open.  Hoping to save myself some work, I saved a duplicate of the file I was working on, and when some images disappeared from the open one, I closed it and opened the copy.  It had the same lost images.

I am using a Macbook Air, OS X 10.9.5; Libre Office Version: 4.3.2.2
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d.
Comment 186 Vossman 2014-11-14 14:46:59 UTC
MY WORK AROUND

I posted this earlier and I unsure how well it works in general, but since I started using it, I have had zero problems with missing images.

I think the problem is whenever I upgrade there are slight changes to reading the ODF files. So the work around I use is that whenever I want to open up an old file to edit it for a new purpose. I do not open up the file, I create a new file and use the 'Insert' -> 'File...' from the menu bar.

As far as a fix, I think the ODF import function should check to see if any media files are not being used before purging them. If you recall the ODF file is a zip file with the media files inside. I do not see why it could not work this way.
Comment 187 Simos Xenitellis 2014-11-19 17:06:05 UTC
I am trying to figure out a list of steps to reproduce the issue, 
when starting on an empty Impress presentation.

From what I read above, it might be an issue with memory management of images (see Tools->Options->LibreOffice->Memory). Or the cleanup of deleted images (might remove images that are in use?).

I tried to reduce the values there (only 1MB image cache, only 1MB cache per image, remove from memory after only 5 minutes) so that the bug is more likely to happen.
I also used this image, http://groups.csail.mit.edu/graphics/classes/CompPhoto07/PPT/12_Phototourism.key/WorldMapBig.png (PNG, 1.7MB).

I created several slides and copied/pasted the image around those slides.
I did not manage to reproduce the error.

Could you all please try, by starting on an empty presentation, to create such a small presentation with the aim to get this golden list of steps that reproduce the bug?

There must be something that triggers this bug, and we need to find it.
Comment 188 Cor Nouws 2014-11-19 21:04:36 UTC
(In reply to Simos Xenitellis from comment #187)
> I am trying to figure out a list of steps to reproduce the issue, 
> when starting on an empty Impress presentation.

Thanks for your post and encouraging ideas Simos!

What I would suggest also: try with a presentation say 4 slides, with most already some graphics, and saved.
Open it, ad a new slide two, copy an image from the file manager, paste it, go to the bowser or mail, set you some fresh tea and come back in five minutes or so, and look in Impress.
Comment 189 stragu 2014-11-19 22:44:57 UTC
Hi all. It would be lovely to be precise about what we are talking about here.

One thing that I would like to make clearer: we only have, as far as I can see, one confirmation that this happens with autosave turned off (comment#109).

Could anyone else please confirm that they come accross this issue with autosave turned off? ("Tools > Options > Load/Save > Automatically save the document too")

If turning off autosave makes it disappear, you are probably looking for bug 82953. There is activity there that we can look forward to: https://bugs.freedesktop.org/show_bug.cgi?id=82953#c25

Thanks everyone.
Comment 190 Ismael Cedillo 2014-11-22 00:02:51 UTC
Created attachment 109826 [details]
Prueba .odp saved and if is open do not shows images

This is an example file with images but not shows by libreoffice.
Comment 191 Tedo Vrbanec 2014-11-22 08:19:00 UTC
@Ismael Cedillo & others

I never opened those attachments so far. But I was curious and a surprise: the image can be seen in the presentation! I'm using LO 4.3.3.2 @ Debian.
Comment 192 Jean-Baptiste Faure 2014-11-22 13:14:38 UTC
(In reply to Ismael Cedillo from comment #190)
> Created attachment 109826 [details]
> Prueba .odp saved and if is open do not shows images
> 
> This is an example file with images but not shows by libreoffice.

I think this problem is different. Indeed LO 4.2.6 opens and shows all images without problem, in both modes edition and slideshow. But LO 4.3.5.0.0+ and LO 4.4.0.0.beta1+ does not show the pictures in both modes. In edition mode the pictures appear during a very short time and is replaced by its frame.

I filed the bug 86573 for that.

Best regards. JBF
Comment 193 narayanaras 2014-11-22 15:45:17 UTC
I am running Windows 8.1 64-bit.

I didn't have this problem in v4.3.4; but I am seeing one variation of this issue in 4.5.0.0.alpha0+: 

1. Only some images disappear (not all slides)
2. The image can be seen in the "Slides" pane (thumbnails), but not in the main (canvas) pane. The main pane only shows a placeholder. Attaching a screenshot.
3. Sometimes the image vanishes from the "Slides" pane also, but after some delay.
4. An image that has disappeared does not re-appear in slideshow mode also.
Comment 194 narayanaras 2014-11-22 15:46:35 UTC
Created attachment 109852 [details]
Only some slides are affected; leaving only a placeholder
Comment 195 tommy27 2014-11-22 17:38:06 UTC
moving this to mab4.3 list since 4.2.x reached EOL
Comment 196 narayanaras 2014-11-23 09:00:45 UTC
Some additional observations:

In my case, the affected file does NOT change: The same file reads fine with 4.3.4; but shows missing images when opened with 4.3.5, 4.4 and 4.5.

This is a strong clue. I can share the file.
Comment 197 Jean-Baptiste Faure 2014-11-23 09:06:45 UTC
(In reply to narayanaras from comment #196)
> Some additional observations:
> 
> In my case, the affected file does NOT change: The same file reads fine with
> 4.3.4; but shows missing images when opened with 4.3.5, 4.4 and 4.5.
> 
> This is a strong clue. I can share the file.

You probably encountered a duplicate of bug 86573 which has been reported and fixed yesterday.

Best regards. JBF
Comment 198 Cor Nouws 2014-12-08 08:46:41 UTC
*** Bug 86649 has been marked as a duplicate of this bug. ***
Comment 199 p.hadjinicolaou 2014-12-08 11:37:56 UTC
It happened to me 2 hours ago, when I was about to finalise my 80-slide presentation for my evaluation for a Professorship at my institute set to begin 2 hours later..... I am dazzled :-) 

LibreOffice Version 3.6:build-304 (Build ID: 360m1(Build:304)) in OpenSuse 13.2
Comment 200 tommy27 2014-12-08 19:18:19 UTC
this looks the "King of all the MABs"

I wonder if the devs could resume the "hard hacks" fixing campaign just for this one. https://wiki.documentfoundation.org/HardHacks

It would be very important that this annoying issue could be fixed before it's 3rd birthday (february 22nd 2015)
Comment 201 bureautiquelibre 2014-12-15 12:22:42 UTC
Hi,

It's not quite clear to me which version have the bug and which ones don't.

Does v4.3.4.1 have this bug or not?

Can someone reply quickly to this question: we have the problem in production with v4.2.6 and might have to downgrade to 4.1.5.3 (doesn't have the bug, we're sure about that) or upgrade to 4.3.4.1 (I would prefer but am not sure it'll fix the situation)

Best regards,
Eric Ficheux
Comment 202 Pierre C 2014-12-15 17:21:41 UTC
@bureautiquelibre@nantesmetropole.fr
I'm working with 4.3.x and I've never had this problem back. So it seems that this bug has gone away. But not sure
(4.3.5.2 will be available soon)
Comment 203 Cor Nouws 2014-12-15 20:04:19 UTC
(In reply to bureautiquelibre from comment #201)

As mentioned, this bug has multiple causes.
And thus, when improvements are done, it might improve in part of the situations... Makes tracking rather complicated.

> production with v4.2.6 and might have to downgrade to 4.1.5.3 (doesn't have
> the bug, we're sure about that) 

I'm sure that the problem sometimes comes up in older versions. But maybe in a different setting/use that what is the case with your users.

> ... or upgrade to 4.3.4.1 (I would prefer but am
> not sure it'll fix the situation)

I've not much specific experience with 4.3/4.4/4.5, but some of the patches have been applied to those releases, so that could explain the positive response from  Pierre C


Cheers,
Cor
Comment 204 Martijn Werts 2014-12-15 21:30:40 UTC
I am on Ubuntu 14.04 LTS. I installed a new version of Libreoffice from the official PPA, and am now working with LibreOffice 4.3.4.1.

Since, I have prepared (and given!) a new ODP presentation. I did not encounter any problems with disappearing images. It wasn't a very long presentation but it did include quite some images, a few TexMaths formulae and even a video. This is very encouraging. Thanks!

I should have upgraded before, instead of stubbornly sticking with the LibreOffice 4.2 included in Ubuntu 14.04 LTS.
Comment 205 leo 2014-12-18 09:16:10 UTC
I have suffered from this bug over the years quite badly, for me THE worst LO Impress bug. However, I am now using 4.2.8.2. under Ubuntu 12.04 and the bug did not show up for some time (keep fingers crossed). I cannot tell with which version it disappeared but it looks like it got fixed. I will report if I see it again...
As always thanks to the people who make LO everyday better...
Regards
Karl
Comment 206 bureautiquelibre 2014-12-18 14:37:59 UTC
Hi Everyone,

Thanks for your answers!

We're rolling out v4.3.4.1 now to a limited number of users (200) as a test before complete roll out (5000 users), hopefully in january.

I'll send an update beginning of january to tell you if we encounter the bug again or not.

Best Regard,
Eric Ficheux
Comment 207 Rpnpif 2014-12-18 17:56:25 UTC
(In reply to bureautiquelibre -- E. Ficheux -- from comment #206)
> Hi Everyone,
> 
> Thanks for your answers!
> 
> We're rolling out v4.3.4.1 now to a limited number of users (200) as a test
> before complete roll out (5000 users), hopefully in january.

Note that the bug #82953 which have effect near of #46447 but with writer, is not yet fixed in the 4.3.4.1 nor 4.3.5.2 that it is released today. Last 4.4beta should fixed these two bugs but it is a beta so, for production, it is perhaps dangerous.

Regards.
Comment 208 Pierre C 2015-01-11 22:18:13 UTC
I've been working for hours with both LO 4.3.5.2 and LO 4.4.0.2 Impress, and none of my images disappear.
This bug seems to be solved
Comment 209 Joel Madero 2015-01-22 00:04:04 UTC
Per the final comment I am closing this as WFM - but if anyone else is still seeing this issue please set the bug back to NEW (not REOPENED) and leave a comment with your version of LibreOffice and operating system. Thanks!
Comment 210 Tim 2015-04-09 16:04:07 UTC
Encountered this bug again today. Using LibreOffice Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6, on Mac OSX 10.9.5. Embedded EPS image via Insert...Image menu, embedded image disappeared after a few minutes of working.
Comment 211 Caolán McNamara 2015-04-11 19:40:47 UTC
Sorry, but don't reopen old bugs like this. The changes that the original and final problems with similar appearances being the same bug over that span of time are too low. Please file a new one with how-to steps to reproduce
Comment 212 Jean-Baptiste Faure 2015-06-08 19:33:58 UTC
*** Bug 81473 has been marked as a duplicate of this bug. ***
Comment 213 skiani 2015-07-03 13:59:38 UTC
Bug is present in 4.3.7.2
Comment 214 tommy27 2015-07-03 14:11:02 UTC
@Tim @skiani

please open a new bug report as Caolan suggested with exact steps to reproduce and test files if needed.

then put the new bug report link under the "see Also" field of the current report
Comment 215 gameall 2017-02-08 07:04:43 UTC
In LibreOffice Impress under the operating system Fedora 25 x64 and Windows 7 x64.
In appointing the LibreOffice Basic macro to the macro button element works.
But when you play a presentation (F5). In Playback mode, the macro does not work.
Comment 216 tommy27 2017-02-08 08:24:49 UTC
@gamell

please open a new bug report with exact steps to reproduce and test files if needed. then put the new bug report link under the "see Also" field of the current report.

please do not reopen such old bug reports... it's always better to file a new one.

so I revert status to WORKSFORME